//* Styling of forms (input styling, form layout)
//** Helper classes to structure the form
// .field is a wrapper around a field and its label
.field {
    margin: 1em 0;
}

// .action-bar is a wrapper for the toolbar that contains the form actions
.action-bar {
    text-align: center;
}

//** Styling for text inputs (textarea, input (text, password, email…)
// General styling
.in-text {
    width: 100%;
    margin-top: 0.3em;
    padding: 0.25em;

    border: solid 1px $input-border-color;

    background: $input-back-color;

    color: $input-text-color;
}

// Make fields less visible when disabled
input,
textarea {
    // stylelint-disable-next-line selector-no-qualifying-type
    &[disabled] {
        opacity: 0.5;
    }
}

//** Labels and help classes
label {
    display: inline-block;
}

.optional-label,
.help-text {
    font-size: smaller;
    font-style: italic;
}

.optional-label::before {
    content: '– ';
}

.help-text {
    display: block;
}
